<HTML>
<HEAD><TITLE>Project Summary</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Mrp"></A>
            Lattice Mapping Report File for Design Module 'blink'



<A name="mrp_di"></A><B><U><big>Design Information</big></U></B>

Command line:   map -a ECP5U -p LFE5U-25F -t CABGA256 -s 6 -oc Commercial
     blink_led_diamond_impl1.ngd -o blink_led_diamond_impl1_map.ncd -pr
     blink_led_diamond_impl1.prf -mp blink_led_diamond_impl1.mrp -lpf C:/workspa
     ce/icesugarpro/blink-led-diamond/impl1/blink_led_diamond_impl1.lpf -lpf
     C:/workspace/icesugarpro/blink-led-diamond/blink_led_diamond.lpf -gui 
Target Vendor:  LATTICE
Target Device:  LFE5U-25FCABGA256
Target Performance:   6
Mapper:  sa5p00,  version:  Diamond (64-bit) 3.11.0.396.4
Mapped on:  03/19/22  10:39:00


<A name="mrp_ds"></A><B><U><big>Design Summary</big></U></B>
   Number of registers:     26 out of 24879 (0%)
      PFU registers:           26 out of 24288 (0%)
      PIO registers:            0 out of   591 (0%)
   Number of SLICEs:        19 out of 12144 (0%)
      SLICEs as Logic/ROM:     19 out of 12144 (0%)
      SLICEs as RAM:            0 out of  9108 (0%)
      SLICEs as Carry:         13 out of 12144 (0%)
   Number of LUT4s:         37 out of 24288 (0%)
      Number used as logic LUTs:         11
      Number used as distributed RAM:     0
      Number used as ripple logic:       26
      Number used as shift registers:     0
   Number of PIO sites used: 2 out of 197 (1%)
   Number of block RAMs:  0 out of 56 (0%)
   Number of GSRs:  0 out of 1 (0%)
   JTAG used :      No
   Readback used :  No
   Oscillator used :  No
   Startup used :   No
   DTR used :   No
   Number of Dynamic Bank Controller (BCINRD):  0 out of 4 (0%)
   Number of Dynamic Bank Controller (BCLVDSOB):  0 out of 4 (0%)
   Number of DCC:  0 out of 60 (0%)
   Number of DCS:  0 out of 2 (0%)
   Number of PLLs:  0 out of 2 (0%)
   Number of DDRDLLs:  0 out of 4 (0%)
   Number of CLKDIV:  0 out of 4 (0%)
   Number of ECLKSYNC:  0 out of 10 (0%)
   Number of ECLKBRIDGECS:  0 out of 2 (0%)
   Notes:-
      1. Total number of LUT4s = (Number of logic LUT4s) + 2*(Number of
     distributed RAMs) + 2*(Number of ripple logic)
      2. Number of logic LUT4s does not include count of distributed RAM and
     ripple logic.

        Number Of Mapped DSP Components:
   --------------------------------
   MULT18X18D          0
   MULT9X9D            0
   ALU54B              0
   ALU24B              0

   PRADD18A            0
   PRADD9A             0
   --------------------------------
   Number of Used DSP MULT Sites:  0 out of 56 (0 %)
   Number of Used DSP ALU Sites:  0 out of 28 (0 %)
   Number of Used DSP PRADD Sites:  0 out of 56 (0 %)
   Number of clocks:  1
     Net clk_c: 14 loads, 14 rising, 0 falling (Driver: PIO clk )
   Number of Clock Enables:  0
   Number of LSRs:  1
     Net n217: 13 loads, 13 LSLICEs
   Number of nets driven by tri-state buffers:  0
   Top 10 highest fanout non-clock nets:
     Net n217: 14 loads
     Net counter_0: 2 loads
     Net counter_1: 2 loads
     Net counter_15: 2 loads
     Net counter_2: 2 loads
     Net counter_23: 2 loads
     Net counter_24: 2 loads
     Net counter_3: 2 loads
     Net counter_9: 2 loads
     Net led_c: 2 loads




   Number of warnings:  0
   Number of errors:    0
     




<A name="mrp_dwe"></A><B><U><big>Design Errors/Warnings</big></U></B>

   No errors or warnings present.



<A name="mrp_ioa"></A><B><U><big>IO (PIO) Attributes</big></U></B>

+---------------------+-----------+-----------+------------+
| IO Name             | Direction | Levelmode | IO         |
|                     |           |  IO_TYPE  | Register   |
+---------------------+-----------+-----------+------------+
| led                 | OUTPUT    | LVCMOS33  |            |
+---------------------+-----------+-----------+------------+
| clk                 | INPUT     | LVCMOS33  |            |
+---------------------+-----------+-----------+------------+



<A name="mrp_rm"></A><B><U><big>Removed logic</big></U></B>

Block GSR_INST undriven or does not drive anything - clipped.
Signal VCC_net undriven or does not drive anything - clipped.
Signal counter_43_add_4_1/S0 undriven or does not drive anything - clipped.
Signal counter_43_add_4_1/CI undriven or does not drive anything - clipped.
Signal counter_43_add_4_25/CO undriven or does not drive anything - clipped.

Block i2 was optimized away.

     



<A name="mrp_runtime"></A><B><U><big>Run Time and Memory Usage</big></U></B>
-------------------------

   Total CPU Time: 0 secs  
   Total REAL Time: 0 secs  
   Peak Memory Usage: 108 MB
        
















































Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
     Copyright (c) 1995 AT&T Corp.   All rights reserved.
     Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
     Copyright (c) 2001 Agere Systems   All rights reserved.
     Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights
     reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
